Bug 68732 - Segmentation fault building almost anything (Python, Apache, etc.)
Segmentation fault building almost anything (Python, Apache, etc.)
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-12 19:27 EDT by jrimmer
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-12 19:27:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jrimmer 2002-07-12 19:27:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020710

Description of problem:
On a vanilla Duron 1Ghz/512MB, RedHat v7.2 systems just freshly installed and
"up2date"

Building Python v2.2.1:
gcc -c -DNDEBUG -g -O3 -Wall -Wstrict-prototypes -I. -I./Include -DHAVE_CONFIG_H
 -o Objects/unicodeobject.o Objects/unicodeobject.c
Objects/unicodeobject.c: In function `PyUnicodeUCS2_TranslateCharmap':
Objects/unicodeobject.c:2737: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make: *** [Objects/unicodeobject.o] Error 1

Building TrueType 1 library - t1lib-1.3.1.tar.gz:
gcc -c -g -O2 -DT1LIB_IDENT=\"1.3.1\"
-DGLOBAL_CONFIG_DIR=\"/usr/local/share/t1lib\" -DT1LIB_NO_X11_SUPPORT
-DT1_AA_TYPE16=short -DT1_AA_TYPE32=int token.c -o token.o >/dev/null 2>&1
make[2]: *** [token.lo] Error 1
make[2]: Leaving directory
`/home/jrimmer/stuff/Apachetoolbox-1.5.58/src/t1lib/lib/type1'
make[1]: *** [type1_target] Error 1
make[1]: Leaving directory `/home/jrimmer/stuff/Apachetoolbox-1.5.58/src/t1lib/lib'
make: *** [XXXX] Error 1

Version-Release number of selected component (if applicable):
gcc-2.96

How reproducible:
Always

Steps to Reproduce:
1.Install v7.2, run update2date to ensure completely patched/updated
2.Download Python v2.2.1 from python.org
3.Build

Actual Results:  GCC cored/segmentation faulted

Expected Results:  A happy build, e.g. no cores while building
Comment 1 Jakub Jelinek 2002-07-18 05:22:04 EDT
If you get gcc segfaults when compiling almost everything, especially when
it doesn't happen always on the same files same place when you retry, then
you have faulty hardware.
Comment 2 jrimmer 2002-07-18 12:58:21 EDT
I would tend to agree but I swapped out all the hardware 4 times and tried
different combinations.  While I thought it might still be the hardware I
thought I would file a bug for documentations sake.

Note You need to log in before you can comment on or make changes to this bug.